## org.biojava.bio.dp
Interface DPFactory

All Known Implementing Classes:
  DPFactory.DefaultFactory

    public interface DPFactory

The interface for objects that can generate a DP object for a MarkovModel.

Author:
  Matthew Pocock

Nested Class Summary
`static class` `DPFactory.DefaultFactory`

Field Summary
`static DPFactory` `DEFAULT`

Method Summary
`DP` `createDP(MarkovModel model)`

Field Detail

### DEFAULT

    static final DPFactory DEFAULT

Method Detail

### createDP

    DP createDP(MarkovModel model)
                throws IllegalArgumentException,
                       BioException

  Throws:
    `IllegalArgumentException`
    `BioException`